> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mailofly.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Contacts

# Contacts

People records: email (unique per user), optional names, phone, custom\_fields JSON.

## GET `/v1/contacts`

**List contacts**

All contacts for the user. Optional query segment\_id lists members of that segment (404 if segment missing).

### Examples

#### 200 — OK

```json theme={null}
{ "data": [ … ] }
```

### cURL

```bash theme={null}
curl -sS -X GET "https://api.mailofly.com/v1/contacts" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here"
```

## POST `/v1/contacts`

**Create contact**

Email is unique per user. Optional names, phone, custom\_fields JSON.

### Request body — Body

```json theme={null}
{
  "email": "hello@example.com",
  "first_name": "Hello",
  "last_name": "World",
  "custom_fields": { "company": "Acme" }
}
```

### Examples

#### 201 — Created

```json theme={null}
{ "data": { … } }
```

### cURL

```bash theme={null}
curl -sS -X POST "https://api.mailofly.com/v1/contacts" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"email":"hello@example.com","first_name":"Hello","last_name":"World","custom_fields":{"company":"Acme"}}'
```

## GET `/v1/contacts/{id}`

**Get contact**

Fetch one contact.

### Examples

#### 200 — OK

```json theme={null}
{ "data": { … } }
```

### cURL

```bash theme={null}
curl -sS -X GET "https://api.mailofly.com/v1/contacts/00000000-0000-0000-0000-000000000001" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here"
```

## PATCH `/v1/contacts/{id}`

**Update contact**

status may be subscribed or unsubscribed.

### Request body — Body

```json theme={null}
{ "status": "unsubscribed" }
```

### Examples

#### 200 — OK

```json theme={null}
{ "data": { … } }
```

### cURL

```bash theme={null}
curl -sS -X PATCH "https://api.mailofly.com/v1/contacts/00000000-0000-0000-0000-000000000001" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here" \
  -H "Content-Type: application/json" \
  -d '{"status":"unsubscribed"}'
```

## DELETE `/v1/contacts/{id}`

**Delete contact**

Deletes the contact record.

### Examples

#### 200 — OK

```json theme={null}
{ "ok": true }
```

### cURL

```bash theme={null}
curl -sS -X DELETE "https://api.mailofly.com/v1/contacts/00000000-0000-0000-0000-000000000001" \
  -H "Accept: application/json" \
  -H "Authorization: Bearer mf_live_your_key_here"
```

## Related

* [Product: Contacts & segments](../product/contacts.md)
* [Segments API](segments.md)
* [← API overview](README.md)


## Related topics

- [Properties](/audience/properties.md)
- [Contacts](/audience/contacts.md)
- [Create Contact](/api/contacts/create-contact.md)
- [Delete Contact](/api/contacts/delete-contact.md)
- [List Contacts](/api/contacts/list-contacts.md)
